cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
Surveyor

Using the iOS Apps and Frameworks from Github

When trying to set up the Xcode project provided on Github, I get 22 warnings and 3 errors. The errors are all related to the Podfile.

When running pod install I get:

[!] No podspec found for `BVLinearGradient` in `./rn/Teacher/node_modules/react-native-linear-gradient`

However, there is no folder named "node_modules" in the "Teacher" folder.

It's described as a dependency in the Podfile file on line 153:
DEPENDENCIES:
- AFNetworking (~> 3.0)
- BVLinearGradient (from `./rn/Teacher/node_modules/react-native-linear-gradient`)

Any advice?

3 Replies
Highlighted
Instructure
Instructure

We will be updating our open source code in the next few days. There will be improvements to the documentation to help you get it setup and running.

Highlighted
Community Coach
Community Coach

h.m.m.nedreberg@usit.uio.no‌, 

It appears there was an update on May 7th. Let us know if that helps you along. Thanks! 

Highlighted

Hi h.m.m.nedreberg@usit.uio.no‌, 

Were the Github updates helpful? Just want to see if you were able to get the help you needed. Thanks! 

Top Kudoed Authors